APIAPI Reference
Connections
/connections
List connections for the organization
Authorization
apiKeyAuth AuthorizationBearer <token>
Backend API key for server-to-server calls. Format: sk_live_... or sk_test_...
In: header
Query Parameters
agent_id?string
Format
uuidlimit?integer
Default
20Range
1 <= value <= 100after?string
before?string
Response Body
application/json
curl -X GET "https://api.tellcasey.com/v1/backend/connections"{
"data": [
{
"connection_code": "string",
"agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
"invite_type": "open",
"auth_style": "always",
"channel_type": "hosted",
"available_modes": [
"string"
],
"default_mode": "string",
"max_uses": 0,
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "string",
"prev_cursor": "string"
}
}/connections/{code}
Get a single connection by connection code
Authorization
apiKeyAuth AuthorizationBearer <token>
Backend API key for server-to-server calls. Format: sk_live_... or sk_test_...
In: header
Path Parameters
code*string
Response Body
application/json
application/json
curl -X GET "https://api.tellcasey.com/v1/backend/connections/string"{
"data": {
"connection_code": "string",
"agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
"invite_type": "open",
"auth_style": "always",
"channel_type": "hosted",
"available_modes": [
"string"
],
"default_mode": "string",
"max_uses": 0,
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string"
}
}/connections/{code}/scheduled-conversations
List scheduled conversations (bookings) for a connection. Org-scoped via API key.
Authorization
apiKeyAuth AuthorizationBearer <token>
Backend API key for server-to-server calls. Format: sk_live_... or sk_test_...
In: header
Path Parameters
code*string
Query Parameters
status?string
Comma-separated list of statuses to filter by (scheduled, joined, completed, canceled, no_show).
from_date?string
Format
date-timeto_date?string
Format
date-timelimit?integer
Default
50Range
1 <= value <= 200offset?integer
Default
0Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://api.tellcasey.com/v1/backend/connections/string/scheduled-conversations"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"connection_code": "string",
"slug": "string",
"participant_email": "string",
"participant_name": "string",
"participant_timezone": "string",
"scheduled_for": "2019-08-24T14:15:22Z",
"status": "scheduled",
"reschedule_count": 0,
"ics_sequence": 0,
"joined_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"canceled_at": "2019-08-24T14:15:22Z",
"cancel_reason": "string",
"created_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "string",
"prev_cursor": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}